Subject: Re: [Iot-directorate] Iotdir last call review of draft-ietf-rtgwg-bgp-pic-12

From: Ahmed Bashandy <[email-masked]>
Date: Fri, 20 Aug 2021 17:33:36 -0700

Sorry for the late reply

See response inline #Ahmed. The response refers to version 15 which I 
just published to address your comments as well as other reviewers' comments

Thanks

Ahmed

On 1/17/21 12:57 PM, Ines Robles via Datatracker wrote:
> Reviewer: Ines Robles
> Review result: Ready with Nits
>
> This document proposes a hierarchical and shared forwarding chain  organization
> that allows traffic to be restored to pre-calculated  alternative equal cost
> primary path or backup path in a time period that does not depend on the number
> of BGP prefixes.
>
> Comment/Question to the authors:
> 1- In the document states: "The proposed technique achieves prefix independent
> convergence while ensuring incremental deployment, complete automation, and
> zero management and provisioning effort." What is the scope involved in zero
> management? It would be nice if the text explains how the technique achieves
> the zero management and the provisioning efforts.

#Ahmed: I added the following sentence at the end of the second 
paragraph in the introduction

In other words, once it is implemented and deployed on a router, nothing 
is required from the operator to make it work.

> 2- "it benefits from all its
> benefits" --> it would be nice to mention some of the benefits in brakets.

#Ahmed I added

(most notably convergence that does not depend in the number of prefixes)

> 3-
> Is this technique not affected by any type of bpg prefix hijacking attack?
#Ahmed: AFAIK Prefix hijacking is a scenario whereby a peer advertises 
reachability to a prefix that it does not own. What we propose is how to 
make convergence independent of the number of prefix by organizing 
forwarding plane data structure in a certain way. If a prefix is 
advertised by peer "B" instead of peer "A", the FIB organization 
algorithm still applies.
>   4-
> If there is no privacy issues I would states that explicitly.
#Ahmed: I am not really sure what do you mean by "privacy" in the 
context of FIB?
>
> Thank you for this document,
>
> Ines.
>
>
>

---

From: Ines Robles <[email-masked]>
Date: Sat, 21 Aug 2021 23:16:45 +0300

Thank you Ahmed for addressing the comments,

Version 15 looks good to me.

BR,
Ines

On Sat, Aug 21, 2021 at 3:33 AM Ahmed Bashandy <[email-masked]>
wrote:

> Sorry for the late reply
>
> See response inline #Ahmed. The response refers to version 15 which I just
> published to address your comments as well as other reviewers' comments
>
> Thanks
>
> Ahmed
> #Ahmed: I added the following sentence at the end of the second paragraph
> in the introduction
>
> forwarding plane data structure in a certain way. If a prefix is advertised
> by peer "B" instead of peer "A", the FIB organization algorithm still
> applies.
>
>  4-
> #Ahmed: I am not really sure what do you mean by "privacy" in the context
> of FIB?
>